<manifest version="7.0" type="device" target-level="8">
    <hal format="hidl">
        <name>android.hardware.audio</name>
        <transport>hwbinder</transport>
        <fqname>@7.1::IDevicesFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.audio.effect</name>
        <transport>hwbinder</transport>
        <fqname>@7.0::IEffectsFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.bluetooth</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IBluetoothHci/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.graphics.mapper</name>
        <transport arch="32+64">passthrough</transport>
        <fqname>@4.0::IMapper/default</fqname>
    </hal>
    <hal format="aidl">
        <name>android.hardware.radio.config</name>
        <fqname>IRadioConfig/default</fqname>
    </hal>
    <hal format="aidl">
        <name>android.hardware.radio.data</name>
        <fqname>IRadioData/slot1</fqname>
        <fqname>IRadioData/slot2</fqname>
    </hal>
    <hal format="aidl">
        <name>android.hardware.radio.ims</name>
        <fqname>IRadioIms/slot1</fqname>
        <fqname>IRadioIms/slot2</fqname>
    </hal>
    <hal format="aidl">
        <name>android.hardware.radio.messaging</name>
        <fqname>IRadioMessaging/slot1</fqname>
        <fqname>IRadioMessaging/slot2</fqname>
    </hal>
    <hal format="aidl">
        <name>android.hardware.radio.modem</name>
        <fqname>IRadioModem/imsSlot1</fqname>
        <fqname>IRadioModem/imsSlot2</fqname>
        <fqname>IRadioModem/se1</fqname>
        <fqname>IRadioModem/se2</fqname>
        <fqname>IRadioModem/slot1</fqname>
        <fqname>IRadioModem/slot2</fqname>
    </hal>
    <hal format="aidl">
        <name>android.hardware.radio.network</name>
        <fqname>IRadioNetwork/imsSlot1</fqname>
        <fqname>IRadioNetwork/imsSlot2</fqname>
        <fqname>IRadioNetwork/slot1</fqname>
        <fqname>IRadioNetwork/slot2</fqname>
    </hal>
    <hal format="aidl">
        <name>android.hardware.radio.sap</name>
        <fqname>ISap/slot1</fqname>
        <fqname>ISap/slot2</fqname>
    </hal>
    <hal format="aidl">
        <name>android.hardware.radio.sim</name>
        <fqname>IRadioSim/imsSlot1</fqname>
        <fqname>IRadioSim/imsSlot2</fqname>
        <fqname>IRadioSim/se1</fqname>
        <fqname>IRadioSim/se2</fqname>
        <fqname>IRadioSim/slot1</fqname>
        <fqname>IRadioSim/slot2</fqname>
    </hal>
    <hal format="aidl">
        <name>android.hardware.radio.voice</name>
        <fqname>IRadioVoice/imsSlot1</fqname>
        <fqname>IRadioVoice/imsSlot2</fqname>
        <fqname>IRadioVoice/slot1</fqname>
        <fqname>IRadioVoice/slot2</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.renderscript</name>
        <transport arch="32+64">passthrough</transport>
        <fqname>@1.0::IDevice/default</fqname>
    </hal>
    <hal format="aidl">
        <name>android.hardware.secure_element</name>
        <fqname>ISecureElement/SIM1</fqname>
        <fqname>ISecureElement/SIM2</fqname>
    </hal>
    <hal format="aidl">
        <name>android.hardware.soundtrigger3</name>
        <fqname>ISoundTriggerHw/default</fqname>
    </hal>
    <hal format="aidl">
        <name>vendor.mediatek.hardware.apmonitor</name>
        <fqname>IApmService/default</fqname>
    </hal>
    <hal format="aidl">
        <name>vendor.mediatek.hardware.atci</name>
        <fqname>IAtcid/default</fqname>
    </hal>
    <hal format="aidl">
        <name>vendor.mediatek.hardware.audio</name>
        <fqname>IMtkAudio/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.mediatek.hardware.bluetooth.audio</name>
        <transport>hwbinder</transport>
        <fqname>@2.2::IBluetoothAudioProvidersFactory/default</fqname>
    </hal>
    <hal format="aidl">
        <name>vendor.mediatek.hardware.camera.atms</name>
        <fqname>IATMs/default</fqname>
    </hal>
    <hal format="aidl">
        <name>vendor.mediatek.hardware.camera.bgservice</name>
        <fqname>IBGService/default</fqname>
    </hal>
    <hal format="aidl">
        <name>vendor.mediatek.hardware.composer_ext</name>
        <fqname>IComposerExt/default</fqname>
    </hal>
    <hal format="aidl">
        <name>vendor.mediatek.hardware.dmc</name>
        <fqname>IDmcService/default</fqname>
    </hal>
    <hal format="aidl">
        <name>vendor.mediatek.hardware.mmagent</name>
        <fqname>IMMAgent/default</fqname>
    </hal>
    <hal format="aidl">
        <name>vendor.mediatek.hardware.mtkradioex.data</name>
        <fqname>IMtkRadioExData/slot1</fqname>
        <fqname>IMtkRadioExData/slot2</fqname>
    </hal>
    <hal format="aidl">
        <name>vendor.mediatek.hardware.mtkradioex.dch</name>
        <fqname>IMtkRadioExDc/slot1</fqname>
        <fqname>IMtkRadioExDc/slot2</fqname>
    </hal>
    <hal format="aidl">
        <name>vendor.mediatek.hardware.mtkradioex.ims</name>
        <fqname>IMtkRadioExIms/slot1</fqname>
        <fqname>IMtkRadioExIms/slot2</fqname>
    </hal>
    <hal format="aidl">
        <name>vendor.mediatek.hardware.mtkradioex.messaging</name>
        <fqname>IMtkRadioExMessaging/slot1</fqname>
        <fqname>IMtkRadioExMessaging/slot2</fqname>
    </hal>
    <hal format="aidl">
        <name>vendor.mediatek.hardware.mtkradioex.modem</name>
        <fqname>IMtkRadioExModem/slot1</fqname>
        <fqname>IMtkRadioExModem/slot2</fqname>
    </hal>
    <hal format="aidl">
        <name>vendor.mediatek.hardware.mtkradioex.network</name>
        <fqname>IMtkRadioExNetwork/slot1</fqname>
        <fqname>IMtkRadioExNetwork/slot2</fqname>
    </hal>
    <hal format="aidl">
        <name>vendor.mediatek.hardware.mtkradioex.rcs</name>
        <fqname>IMtkRadioExRcs/slot1</fqname>
        <fqname>IMtkRadioExRcs/slot2</fqname>
    </hal>
    <hal format="aidl">
        <name>vendor.mediatek.hardware.mtkradioex.sim</name>
        <fqname>IMtkRadioExSim/slot1</fqname>
        <fqname>IMtkRadioExSim/slot2</fqname>
    </hal>
    <hal format="aidl">
        <name>vendor.mediatek.hardware.mtkradioex.voice</name>
        <fqname>IMtkRadioExVoice/slot1</fqname>
        <fqname>IMtkRadioExVoice/slot2</fqname>
    </hal>
    <hal format="aidl">
        <name>vendor.mediatek.hardware.nvram</name>
        <fqname>INvram/default</fqname>
    </hal>
    <hal format="aidl">
        <name>vendor.mediatek.hardware.nwk_opt_new</name>
        <fqname>INwkOptNew/default</fqname>
    </hal>
    <hal format="aidl">
        <name>vendor.mediatek.hardware.pq_aidl</name>
        <fqname>IPictureQuality_AIDL/default</fqname>
    </hal>
    <hal format="aidl">
        <name>vendor.mediatek.hardware.videotelephony</name>
        <fqname>IVideoTelephony/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.trustonic.alps.alps_device</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IAlps/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.trustonic.tee</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::ITee/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.trustonic.tee.tui</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ITui/default</fqname>
    </hal>
    <hal format="aidl">
        <name>vendor.tsa.hdcp</name>
        <fqname>IHDCPInterface/default</fqname>
    </hal>
</manifest>
